

import 'cdv_plugin_result.dart';
import 'vs_flutter_cordova.dart';

/// 插件抽象类，继承这个类来实现用户自己的插件
abstract class CDVPlugin{
  CDVController controller;

  /// 基类需要实现返回className作为插件标识符
  String className();

  /// 基类需要实现这个方法来处理命令
  void invokeMethod(String methodName, List arguments, String callbackId);

  /// 调用改方法向cordova发送回调结果
  void sendPluginResult(CDVPluginResult result, String callbackId){
    var status = result.status.index;
    var argumentsAsJson = result.argumentsAsJSON();
    var keepCallback = result.keepCallback;
    var debug = false;
    controller.nativeCallback(callbackId, status, argumentsAsJson, keepCallback, debug);
  }
}